Last Comment Bug 772341 - Enable Opus support by default
: Enable Opus support by default
Status: RESOLVED FIXED
: relnote
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: 15 Branch
: All All
: -- normal (vote)
: mozilla16
Assigned To: Timothy B. Terriberry (:derf)
:
Mentors:
Depends on: 1129355 935617 976488
Blocks: 674225
  Show dependency treegraph
 
Reported: 2012-07-09 21:40 PDT by Timothy B. Terriberry (:derf)
Modified: 2015-02-04 04:39 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed


Attachments
Enable Opus support by default (774 bytes, patch)
2012-07-09 21:42 PDT, Timothy B. Terriberry (:derf)
roc: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Timothy B. Terriberry (:derf) 2012-07-09 21:40:10 PDT
The support for the Opus codec added in bug 674225 was hidden behind a preference in case there were any last-minute changes to the format during the final phases of standardization at the IETF. It has now been approved by the IESG, so this is no longer a danger. We should flip the preference to enable support by default.
Comment 1 Timothy B. Terriberry (:derf) 2012-07-09 21:42:10 PDT
Created attachment 640501 [details] [diff] [review]
Enable Opus support by default
Comment 2 j.j. 2012-07-09 22:19:30 PDT
Is this intended to land on Fx 15? Otherwise might need documentation changes.
Comment 3 Timothy B. Terriberry (:derf) 2012-07-09 22:21:58 PDT
Yes, after getting review I was planning to ask for aurora approval.
Comment 4 Timothy B. Terriberry (:derf) 2012-07-10 06:16:28 PDT
Comment on attachment 640501 [details] [diff] [review]
Enable Opus support by default

[Approval Request Comment]
Bug caused by (feature/regressing bug #): Bug 674225
User impact if declined: Opus support will remain behind a pref and thus be unavailable to most users (hindering adoption by websites). Flipping this pref now means we will be shipping it to users right about the same time the final RFC comes out, so we should be able to build on momentum around that event. Holding off until the next release means missing out on that.
Testing completed (on m-c, etc.): The codec library itself has undergone extensive testing (see http://www.ietf.org/proceedings/82/slides/codec-4.pdf for just a brief summary). The version we imported and the code we wrote to hook it into Firefox has been fuzz-tested (bug 750714), and has been shipping in Nightlies and on Aurora (behind this pref) since May 4th. Bug 674225 added a set of media tests for Opus, and a try run with this pref flipped (enabling them) is relatively greenish: https://tbpl.mozilla.org/?tree=Try&rev=2db55b1f5180
Risk to taking this patch (and alternatives if risky): Low. No code changes. This should not impact any existing features.
String or UUID changes made by this patch: None.
Comment 5 Timothy B. Terriberry (:derf) 2012-07-10 10:53:19 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/24970e96b3de
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-07-10 20:33:09 PDT
https://hg.mozilla.org/mozilla-central/rev/24970e96b3de
Comment 7 Alex Keybl [:akeybl] 2012-07-12 15:37:01 PDT
Asa - any non-engineering reasons to hold off on uplift of having Opus enabled by default? I can't think of any, but want to be sure.
Comment 8 Alex Keybl [:akeybl] 2012-07-13 13:47:47 PDT
Comment on attachment 640501 [details] [diff] [review]
Enable Opus support by default

[Triage Comment]
Spoke with Asa. This has the green light. Please land on mozilla-aurora ASAP to make the next merge on Monday.
Comment 9 Timothy B. Terriberry (:derf) 2012-07-13 14:39:53 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/c2541e0e2898
Comment 10 j.j. 2012-07-13 15:03:09 PDT
removing dev-doc-needed, no changes required after landing on aurora
Comment 11 Ralph Giles (:rillian) needinfo me 2012-07-13 17:46:45 PDT
Restoring dev-doc-needed. Opus is mentioned on the codec support page and in the release notes. However, the line,

", although support is only available if you set the media.opus.enabled preference to true"

should be removed from https://developer.mozilla.org/En/Media_formats_supported_by_the_audio_and_video_elements#Ogg_Opus now that this bug has landed. Wiki edits are currently disabled for the kuma migration, so we need a reminder to do this later.
Comment 12 j.j. 2012-07-13 20:31:34 PDT
> https://developer.mozilla.org/en/Media_formats_supported_by_the_audio_and_video_elements#Ogg_Opus 
oops, looked only at the browser compatibility table.

Also: Heading structure should change to:
== Ogg
=== Ogg Ogg Theora Vorbis
=== Ogg Opus

and https://developer.mozilla.org/en/Firefox_15_for_developers
could link into #Ogg_Opus
Comment 14 Ralph Giles (:rillian) needinfo me 2012-08-03 11:59:09 PDT
I've removed the user pref reference now that the wiki is open for editing again, but left the section headers as is. Either way, linking to 

  https://developer.mozilla.org/en-US/docs/Media_formats_supported_by_the_audio_and_video_elements#Ogg_Opus

will work fine.

Note You need to log in before you can comment on or make changes to this bug.